Compilar paquetes rpm, tar.gz y tar.bz2 en .deb

Hoy en día, un gran número de las aplicaciones que encontramos en la Red para Linux ya vienen con la opción de descargarlas compiladas en .deb, de manera que se nos facilita mucho el trabajo a los usuarios que usamos distribuciones basadas en Debian (Ubuntu por ejemplo) a la hora de instalar esos programas.

Sin embargo, no es extraño toparnos de vez en cuando con distintos tipos de paquetes que hacen "algo más complicado" que el típico doble click la labor de instalar en nuestro sistema el software que queremos.

Aunque ya hemos tratado en anteriores tutoriales la manera de instalar directamente este tipo de paquetes, en el siguiente tip aprenderemos a convertir paquetes rpm, tar.gz y tar.bz2 en .deb para hacer más cómoda y limpia su instalación (sin mencionar que nunca está de más aprender algo nuevo). Además es muy sencillo.

Para llevar a cabo estas tareas, es imprescindible tener instalado el programa "alien" que es el encargado de llevar a cabo la conversión. Si no lo tenemos ya, instalarlo es tan sencillo como abrir una terminal y escribir:

sudo apt-get install alien


Convertir archivos .rpm

Para pasar un paquete .rpm a .deb:

alien -d archivo.rpm

Y una vez convertido, puedes instalarlo bien ejecutando el icono del nuevo paquete en modo gráfico, o bien instalarlo directamente desde la terminal con la orden dpkg:

dpkg -i paquete.deb

Si por el contrario prefieres convertir e instalar el paquete al mismo tiempo, tan simple como abrir una terminal y escribir:

alien -i archivo.rpm


Convertir archivos tar.gz y tar.bz2


Todavía más sencillo; simplemente abrimos una terminal y ejecutamos el paquete vía alien:

sudo alien nombredelpaquete.tar.gz

En el caso de archivos tar.bz2, primero los descomprimimos (la extensión tar.bz2 no es nada funcional y no deja de ser otro sistema de compresión de archivos) de la manera que mejor nos parezca y los volvemos a comprimir pero ahora en .tar.gz. Una vez tengamos el paquete en .tar.gz simplemente hacemos lo explicado anteriormente para compilar el paquete en .deb.

¿Fácil verdad?


Entradas relacionadas | Instalación de aplicaciones a partir de paquetes .tar.gz o .tar.bz2 Related Posts Plugin for WordPress, Blogger...

8 comentarios:

  1. Anónimo dijo:

    eyyy no pensaba que esto pudiera ser tan fácil, gracias por el aporte :D

  2. Jabba dijo:

    Si en el fondo la terminal no es tan oscura como parece :)

  3. Anónimo dijo:

    Chumbale que faciiiiiiiiiiiiiiil
    no pence que seria tanto haci...........

    Vendito Ubuntu!!!

  4. Anónimo dijo:

    si me funciona vas a entrar en mi lista de idolos informaticos!!! cerca de el vago que casi le vacía la cuenta a bill gates...

  5. Jabba dijo:

    Pues esperemos que sí te funcione ;)

  6. Spanish Red dijo:

    Bueno, aunque la entrada sea antigua te preguntaré igualmente para cuando tengas un rato a ver si me puedes ayudar con ésto. ¿Hay algo similar a Alien para poder convertir los paquetes a .rpm? Es que si se me partía (o mejor dicho, no soy capaz de ello) la cabeza intentando instalar .tar.gz en Ubuntu ya ni te cuento en Fedora. Y en el caso de que no si me recomiendas alguna guía para ello porque las que hay en Internet o son para pros o soy un inútil jaja. Venga gracias y un saludo

  7. KRAVEN dijo:

    Saludo y felicito por la publicación de "Compilar paquetes rpm, tar.gz y tar.bz2 en .deb", por favor tenga la amabilidad mi pedido de ayuda en convertir e instalar paquetes tar.gz en rpm en el sistema operativo Linux Fedora
    El blog de Jabba: Compilar paquetes rpm, tar.gz y tar.bz2 en .deb . Cabe mecionar que ya he instalado el conversor alien y haciendo uso de este conversor primero convertir el paquete tar.gz en deb y luego converti ese archivo deb en rpm pero en la instalación me sale un mensaje: #rpm -Uvh brackets-release-1.6-3.noarch.rpm
    Preparing... ################################# [100%]
    file / from install of brackets-release-1.6-3.noarch conflicts with file from package filesystem-3.2-35.fc23.x86_64

    y de otro mensaje # rpm -ich brackets-release-1.6-3.noarch.rpm
    ################################# [100%]
    file / from install of brackets-release-1.6-3.noarch conflicts with file from package filesystem-3.2-35.fc23.x86_64

    Por favor le solicito nuevamente tener a bien a ayudarme en ese problema de ya sea de conversión o instalación.

    Agradezco de antemano su gentila atención, ayuda y pronta respuesta.

Deja tu comentario:

Procura que tu comentario esté relacionado con esta entrada y no olvides revisar la ortografía. Estás en tu perfecto derecho de comentar anónimamente, pero por favor, escribe con respeto y educación. Los comentarios que incumplan estas normas básicas de civismo serán eliminados sin previo aviso ni piedad.

Bajar inicio